Support » Localhost Installs » Database error: this Database Version is compiled without support for UTF-8

  • Hallo, I’m a beginner of WordPress. I’m using MAC OSX 10.7.5 and XAMPP 5.6.21.
    After the installation this message appears on the screen with the congratulations:

    Errore sul database di WordPress: [Got error ‘this version of PCRE is compiled without UTF support at offset 0’ from regexp]
    DELETE FROM wp_options WHERE option_name REGEXP ‘^rss_[0-9a-f]{32}(_ts)?$’

    I can’t understand this message… What do I have to do exactly? Please anyone could help me using simple words???
    Thanks.

Viewing 3 replies - 1 through 3 (of 3 total)
  • WordPress is probably looking for the UTF-8 character set and you probably installed something else, or vice versa. Here is a breakdown of the character sets and how to convert your database to work with your hosting specs.

    https://codex.wordpress.org/Converting_Database_Character_Sets

    You should report this on the XAMPP support forum:

    https://community.apachefriends.org/f/

    What you described is a bug/mistake in the way they compiled the PCRE support libraries.

    I did that, they sent this:

    sudo /Volumes/WordPress\ Module/WordPress\ Module.app/Contents/MacOS/installbuilder.sh

    Hi Rock Nation,

    I too had this issue and found that I had to open up the installer package to examine it. I found the installer script and that does launch the install.

    Mount the dmg
    From terminal.app, type:

    Code: Select all
    sudo /Volumes/WordPress\ Module/WordPress\ Module.app/Contents/MacOS/installbuilder.sh

    enter your password.
    Keep terminal open. It will prompt you several times for your password as the wizard progresses.

    It should run through successfully. I am still trying to figure out the whole mysql password issue. It worked flawlessly on a VM

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Database error: this Database Version is compiled without support for UTF-8’ is closed to new replies.